Skip to content

Pool state

GET
/v1/pool
curl --request GET \
--url https://api.tako.wtf/v1/pool

Rate, supply, TVL, claims, lending, insurance, bad debt, APR and APY from the latest snapshot.

OK

Media typeapplication/json
object
updatedAt
required

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
rate
required

Gram per takoGRAM

string
totalCoins
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
totalShares
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
pendingProfit
required

Profit still vesting into the rate

string
/^-?\d+$/
tvl
required

Balance plus Gram lent to validators

string
/^-?\d+$/
queued
required

Gram owed to unredeemed claims

string
/^-?\d+$/
lent
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
insurance
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
badDebt
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
instantLiquidity
required

Gram available for instant withdrawals

string
/^-?\d+$/
apr
required

Annual rate of the profit vesting now, in percent

number | null
apy
required

Growth of the rate over the last 7 and 30 days and since the first snapshot, annualized, as a fraction

object
week
required
number | null
month
required
number | null
inception
required
number | null

Example generated

{
"updatedAt": 1,
"rate": "example",
"totalCoins": "example",
"totalShares": "example",
"pendingProfit": "example",
"tvl": "example",
"queued": "example",
"lent": "example",
"insurance": "example",
"badDebt": "example",
"instantLiquidity": "example",
"apr": 1,
"apy": {
"week": 1,
"month": 1,
"inception": 1
}
}

No snapshot or stream capacity yet

Media typeapplication/json
object
error
required
string

Example generated

{
"error": "example"
}